### Function

# SpiceClientGtk GtkSession get

#### Declaration [src]

    SpiceGtkSession*
    spice_gtk_session_get (
      SpiceSession* session
    )

#### Description [src]

Gets the `SpiceGtkSession` associated with the passed in `SpiceSession`. A new `SpiceGtkSession` instance will be created the first time this function is called for a certain `SpiceSession`.

Note that this function returns a weak reference, which should not be used after the `SpiceSession` itself has been unref-ed by the caller.

#### Parameters

`session`

  Type: `SpiceSession`

  `SpiceSession` for which to get the `SpiceGtkSession`.

  The data is owned by the caller of the function.

#### Return value

Type: `SpiceGtkSession`

A weak reference to the `SpiceGtkSession` associated with the passed in `SpiceSession`

Since 0.8.

The data is owned by the called function.